import type { VueTypeDef, VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { Recordable } from '../../typings/global';
declare const _default: DefineComponent<{
    value: VueTypeDef<string | string[]>;
    api: VueTypeValidableDef<(arg?: Recordable<any> | undefined) => Promise<Recordable[]>>;
    params: VueTypeValidableDef<Recordable<any>>;
    resultField: VueTypeValidableDef<string> & {
        default: string;
    };
    allowClear: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    placeholder: VueTypeValidableDef<string> & {
        default: string;
    };
}, {
    prefixCls: string;
    state: any;
    getAttrs: ComputedRef<{
        treeData?: {
            [x: string]: any;
        }[] | undefined;
    }>;
    loading: Ref<boolean>;
    handleChange: (...args: any[]) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "treedata-change")[], "change" | "update:value" | "treedata-change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    value?: unknown;
    api?: unknown;
    params?: unknown;
    resultField?: unknown;
    allowClear?: unknown;
    placeholder?: unknown;
} & {
    placeholder: string;
    allowClear: boolean;
    resultField: string;
} & {
    value?: string | string[] | undefined;
    api?: ((arg?: Recordable<any> | undefined) => Promise<Recordable[]>) | undefined;
    params?: Recordable<any> | undefined;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onTreedata-change"?: ((...args: any[]) => any) | undefined;
}, {
    placeholder: string;
    allowClear: boolean;
    resultField: string;
}>;
export default _default;
