import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties, Plugin } from 'vue';
import PopconfirmButton from './src/PopconfirmButton.vue';
export { PopconfirmButton };
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            size: "small" | "middle" | "large";
            onClick: (event: MouseEvent) => void;
            disabled: boolean;
            type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
            ghost: boolean;
            color: string;
        }> & Omit<Readonly<{
            type?: unknown;
            color?: unknown;
            loading?: unknown;
            disabled?: unknown;
            size?: unknown;
            onClick?: unknown;
            ghost?: unknown;
        } & {
            size: "small" | "middle" | "large";
            onClick: (event: MouseEvent) => void;
            disabled: boolean;
            type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
            ghost: boolean;
            color: string;
        } & {
            loading?: boolean | {
                delay?: number | undefined;
            } | undefined;
        }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "size" | "onClick" | "disabled" | "type" | "ghost" | "color">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            type?: unknown;
            color?: unknown;
            loading?: unknown;
            disabled?: unknown;
            size?: unknown;
            onClick?: unknown;
            ghost?: unknown;
        } & {
            size: "small" | "middle" | "large";
            onClick: (event: MouseEvent) => void;
            disabled: boolean;
            type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
            ghost: boolean;
            color: string;
        } & {
            loading?: boolean | {
                delay?: number | undefined;
            } | undefined;
        }>, {
            prefixCls: string;
            buttonProps: ComputedRef<{
                size: "small" | "middle" | "large";
                onClick: (event: MouseEvent) => void;
                disabled: boolean;
                loading: boolean | {
                    delay?: number | undefined;
                } | undefined;
                type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
                ghost: boolean;
                color: string;
            }>;
            buttonClass: ComputedRef<{
                [x: string]: boolean;
                'is-disabled': boolean;
            }>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
            size: "small" | "middle" | "large";
            onClick: (event: MouseEvent) => void;
            disabled: boolean;
            type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
            ghost: boolean;
            color: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        type?: unknown;
        color?: unknown;
        loading?: unknown;
        disabled?: unknown;
        size?: unknown;
        onClick?: unknown;
        ghost?: unknown;
    } & {
        size: "small" | "middle" | "large";
        onClick: (event: MouseEvent) => void;
        disabled: boolean;
        type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
        ghost: boolean;
        color: string;
    } & {
        loading?: boolean | {
            delay?: number | undefined;
        } | undefined;
    }> & ShallowUnwrapRef<{
        prefixCls: string;
        buttonProps: ComputedRef<{
            size: "small" | "middle" | "large";
            onClick: (event: MouseEvent) => void;
            disabled: boolean;
            loading: boolean | {
                delay?: number | undefined;
            } | undefined;
            type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
            ghost: boolean;
            color: string;
        }>;
        buttonClass: ComputedRef<{
            [x: string]: boolean;
            'is-disabled': boolean;
        }>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    type?: unknown;
    color?: unknown;
    loading?: unknown;
    disabled?: unknown;
    size?: unknown;
    onClick?: unknown;
    ghost?: unknown;
} & {
    size: "small" | "middle" | "large";
    onClick: (event: MouseEvent) => void;
    disabled: boolean;
    type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
    ghost: boolean;
    color: string;
} & {
    loading?: boolean | {
        delay?: number | undefined;
    } | undefined;
}>, {
    prefixCls: string;
    buttonProps: ComputedRef<{
        size: "small" | "middle" | "large";
        onClick: (event: MouseEvent) => void;
        disabled: boolean;
        loading: boolean | {
            delay?: number | undefined;
        } | undefined;
        type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
        ghost: boolean;
        color: string;
    }>;
    buttonClass: ComputedRef<{
        [x: string]: boolean;
        'is-disabled': boolean;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
    size: "small" | "middle" | "large";
    onClick: (event: MouseEvent) => void;
    disabled: boolean;
    type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
    ghost: boolean;
    color: string;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
