import type { Plugin } from '@vue/runtime-core';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            bordered: boolean;
            column: number;
            items: {
                value: any;
                label: string;
                slot?: string | undefined;
                props?: Record<string, any> | undefined;
            }[];
        }> & Omit<Readonly<{
            items?: unknown;
            bordered?: unknown;
            title?: unknown;
            column?: unknown;
        } & {
            bordered: boolean;
            column: number;
            items: {
                value: any;
                label: string;
                slot?: string | undefined;
                props?: Record<string, any> | undefined;
            }[];
        } & {
            title?: string | undefined;
        }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "bordered" | "column" | "items">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            items?: unknown;
            bordered?: unknown;
            title?: unknown;
            column?: unknown;
        } & {
            bordered: boolean;
            column: number;
            items: {
                value: any;
                label: string;
                slot?: string | undefined;
                props?: Record<string, any> | undefined;
            }[];
        } & {
            title?: string | undefined;
        }>, {
            getDescSlots: string[];
            prefixCls: string;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
            bordered: boolean;
            column: number;
            items: {
                value: any;
                label: string;
                slot?: string | undefined;
                props?: Record<string, any> | undefined;
            }[];
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        items?: unknown;
        bordered?: unknown;
        title?: unknown;
        column?: unknown;
    } & {
        bordered: boolean;
        column: number;
        items: {
            value: any;
            label: string;
            slot?: string | undefined;
            props?: Record<string, any> | undefined;
        }[];
    } & {
        title?: string | undefined;
    }> & ShallowUnwrapRef<{
        getDescSlots: string[];
        prefixCls: string;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    items?: unknown;
    bordered?: unknown;
    title?: unknown;
    column?: unknown;
} & {
    bordered: boolean;
    column: number;
    items: {
        value: any;
        label: string;
        slot?: string | undefined;
        props?: Record<string, any> | undefined;
    }[];
} & {
    title?: string | undefined;
}>, {
    getDescSlots: string[];
    prefixCls: string;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
    bordered: boolean;
    column: number;
    items: {
        value: any;
        label: string;
        slot?: string | undefined;
        props?: Record<string, any> | undefined;
    }[];
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
