import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, WritableComputedRef, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import { DropMenuItem } from '../typings';
import type { Recordable } from '../../typings/global';
declare const _default: DefineComponent<{
    dropMenuList: VueTypeValidableDef<DropMenuItem[]> & {
        default: () => DropMenuItem[];
    };
    popconfirm: BooleanConstructor;
    trigger: VueTypeValidableDef<("click" | "hover" | "contextmenu")[]> & {
        default: () => ("click" | "hover" | "contextmenu")[];
    };
    selectedKeys: VueTypeValidableDef<string[]> & {
        default: () => string[];
    };
}, {
    innerSelectedKeysRef: WritableComputedRef<string[]>;
    handleClickMenu: (item: DropMenuItem) => void;
    getPopConfirmAttrs: ComputedRef<(attrs: Recordable) => {
        [x: string]: any;
    }>;
    getAttr: (key: string | number) => {
        key: string | number;
    };
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:selectedKeys" | "menuEvent")[], "update:selectedKeys" | "menuEvent", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    dropMenuList?: unknown;
    popconfirm?: unknown;
    trigger?: unknown;
    selectedKeys?: unknown;
} & {
    trigger: ("click" | "hover" | "contextmenu")[];
    selectedKeys: string[];
    dropMenuList: DropMenuItem[];
    popconfirm: boolean;
} & {}> & {
    "onUpdate:selectedKeys"?: ((...args: any[]) => any) | undefined;
    onMenuEvent?: ((...args: any[]) => any) | undefined;
}, {
    trigger: ("click" | "hover" | "contextmenu")[];
    selectedKeys: string[];
    dropMenuList: DropMenuItem[];
    popconfirm: boolean;
}>;
export default _default;
