import type { ComputedRef, Ref } from 'vue';
import { SearchSolutionItem } from '../types/form';
/**
 * 查询解决方案
 */
export declare function useSearchSolution(props: Recordable): {
    solutionListComputed: ComputedRef<{
        id: any;
        label: any;
        value: any;
        text: string;
        event: string;
    }[]>;
    getCollectionName: ComputedRef<string>;
    loadingRef: Ref<boolean>;
    fetchSolution: () => Promise<void>;
    deleteSolution: (id: string | number) => Promise<void>;
    saveSolution: (solution: SearchSolutionItem) => Promise<void>;
    parseSolution: (solution: SearchSolutionItem) => any;
};
