import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    text: VueTypeValidableDef<any>;
    placement: VueTypeDef<"bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom"> & {
        default: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    };
    color: VueTypeValidableDef<string>;
    fontSize: VueTypeValidableDef<number> & {
        default: number;
    };
    maxWidth: VueTypeValidableDef<number> & {
        default: number;
    };
    showIndex: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
}, {
    prefixCls: string;
    overlayStyle: ComputedRef<{
        maxWidth: string;
    }>;
    tooltipStyle: ComputedRef<{
        fontSize: string;
    }>;
    getPopupContainer: (trigger: HTMLElement) => HTMLElement;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    text?: unknown;
    placement?: unknown;
    color?: unknown;
    fontSize?: unknown;
    maxWidth?: unknown;
    showIndex?: unknown;
} & {
    placement: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    fontSize: number;
    maxWidth: number;
    showIndex: boolean;
} & {
    text?: any;
    color?: string | undefined;
}>, {
    placement: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    fontSize: number;
    maxWidth: number;
    showIndex: boolean;
}>;
export default _default;
