import type { VueTypeDef, VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, WritableComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    buttonStyle: VueTypeDef<"outline" | "solid"> & {
        default: "outline" | "solid";
    };
    disabled: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    name: VueTypeValidableDef<string> & {
        default: string;
    };
    value: VueTypeValidableDef<any>;
    options: VueTypeDef<{
        label: string;
        value: string;
        disabled?: boolean | undefined;
    }[]> & {
        default: () => {
            label: string;
            value: string;
            disabled?: boolean | undefined;
        }[];
    };
    lvMap: VueTypeValidableDef<{
        label: string;
        value: string;
    }> & {
        default: () => {
            label: string;
            value: string;
        };
    };
    optionType: VueTypeDef<"default" | "button"> & {
        default: "default" | "button";
    };
    size: VueTypeDef<"small" | "large" | "default"> & {
        default: "small" | "large" | "default";
    };
}, {
    getGroupProps: ComputedRef<{
        buttonStyle: "outline" | "solid";
        disabled: boolean;
        name: string;
        optionType: "default" | "button";
        size: "small" | "large" | "default";
        options: {
            label: any;
            value: any;
        }[];
    }>;
    innerValue: WritableComputedRef<any>;
    getClass: ComputedRef<string[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "update:value"[], "update:value", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    buttonStyle?: unknown;
    disabled?: unknown;
    name?: unknown;
    value?: unknown;
    options?: unknown;
    lvMap?: unknown;
    optionType?: unknown;
    size?: unknown;
} & {
    size: "small" | "large" | "default";
    options: {
        label: string;
        value: string;
        disabled?: boolean | undefined;
    }[];
    disabled: boolean;
    name: string;
    buttonStyle: "outline" | "solid";
    optionType: "default" | "button";
    lvMap: {
        label: string;
        value: string;
    };
} & {
    value?: any;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
}, {
    size: "small" | "large" | "default";
    options: {
        label: string;
        value: string;
        disabled?: boolean | undefined;
    }[];
    disabled: boolean;
    name: string;
    buttonStyle: "outline" | "solid";
    optionType: "default" | "button";
    lvMap: {
        label: string;
        value: string;
    };
}>;
export default _default;
