import type { Plugin } from '@vue/runtime-core';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, WritableComputedRef, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            value: [string | number, string];
            selectProps: {
                fieldNames?: {
                    label: string;
                    value: string;
                } | undefined;
                options: {
                    value: string | number;
                    label: string;
                    disabeld?: boolean | undefined;
                }[];
                defaultActiveFirstOption?: boolean | undefined;
                allowClear?: boolean | undefined;
                placeholder?: string | undefined;
            };
            inputProps: {
                allowClear?: boolean | undefined;
                maxlength?: number | undefined;
                disabled?: boolean | undefined;
                id?: string | undefined;
                suffix?: string | undefined;
            };
        }> & Omit<Readonly<{
            value?: unknown;
            selectProps?: unknown;
            inputProps?: unknown;
        } & {
            value: [string | number, string];
            selectProps: {
                fieldNames?: {
                    label: string;
                    value: string;
                } | undefined;
                options: {
                    value: string | number;
                    label: string;
                    disabeld?: boolean | undefined;
                }[];
                defaultActiveFirstOption?: boolean | undefined;
                allowClear?: boolean | undefined;
                placeholder?: string | undefined;
            };
            inputProps: {
                allowClear?: boolean | undefined;
                maxlength?: number | undefined;
                disabled?: boolean | undefined;
                id?: string | undefined;
                suffix?: string | undefined;
            };
        } & {}> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "value" | "selectProps" | "inputProps">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "update:value", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            value?: unknown;
            selectProps?: unknown;
            inputProps?: unknown;
        } & {
            value: [string | number, string];
            selectProps: {
                fieldNames?: {
                    label: string;
                    value: string;
                } | undefined;
                options: {
                    value: string | number;
                    label: string;
                    disabeld?: boolean | undefined;
                }[];
                defaultActiveFirstOption?: boolean | undefined;
                allowClear?: boolean | undefined;
                placeholder?: string | undefined;
            };
            inputProps: {
                allowClear?: boolean | undefined;
                maxlength?: number | undefined;
                disabled?: boolean | undefined;
                id?: string | undefined;
                suffix?: string | undefined;
            };
        } & {}> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
        }, {
            prefixCls: string;
            innerSelectValue: WritableComputedRef<string | number>;
            innerInputValue: WritableComputedRef<string>;
            getSelectBinds: ComputedRef<{
                options: {
                    label: any;
                    value: any;
                }[];
                fieldNames?: {
                    label: string;
                    value: string;
                } | undefined;
                defaultActiveFirstOption?: boolean | undefined;
                allowClear: boolean;
                placeholder: string;
            }>;
            getInputBinds: ComputedRef<{
                allowClear: boolean;
                maxlength?: number | undefined;
                disabled?: boolean | undefined;
                id?: string | undefined;
                suffix?: string | undefined;
            }>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value")[], string, {
            value: [string | number, string];
            selectProps: {
                fieldNames?: {
                    label: string;
                    value: string;
                } | undefined;
                options: {
                    value: string | number;
                    label: string;
                    disabeld?: boolean | undefined;
                }[];
                defaultActiveFirstOption?: boolean | undefined;
                allowClear?: boolean | undefined;
                placeholder?: string | undefined;
            };
            inputProps: {
                allowClear?: boolean | undefined;
                maxlength?: number | undefined;
                disabled?: boolean | undefined;
                id?: string | undefined;
                suffix?: string | undefined;
            };
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        value?: unknown;
        selectProps?: unknown;
        inputProps?: unknown;
    } & {
        value: [string | number, string];
        selectProps: {
            fieldNames?: {
                label: string;
                value: string;
            } | undefined;
            options: {
                value: string | number;
                label: string;
                disabeld?: boolean | undefined;
            }[];
            defaultActiveFirstOption?: boolean | undefined;
            allowClear?: boolean | undefined;
            placeholder?: string | undefined;
        };
        inputProps: {
            allowClear?: boolean | undefined;
            maxlength?: number | undefined;
            disabled?: boolean | undefined;
            id?: string | undefined;
            suffix?: string | undefined;
        };
    } & {}> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        prefixCls: string;
        innerSelectValue: WritableComputedRef<string | number>;
        innerInputValue: WritableComputedRef<string>;
        getSelectBinds: ComputedRef<{
            options: {
                label: any;
                value: any;
            }[];
            fieldNames?: {
                label: string;
                value: string;
            } | undefined;
            defaultActiveFirstOption?: boolean | undefined;
            allowClear: boolean;
            placeholder: string;
        }>;
        getInputBinds: ComputedRef<{
            allowClear: boolean;
            maxlength?: number | undefined;
            disabled?: boolean | undefined;
            id?: string | undefined;
            suffix?: string | undefined;
        }>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    value?: unknown;
    selectProps?: unknown;
    inputProps?: unknown;
} & {
    value: [string | number, string];
    selectProps: {
        fieldNames?: {
            label: string;
            value: string;
        } | undefined;
        options: {
            value: string | number;
            label: string;
            disabeld?: boolean | undefined;
        }[];
        defaultActiveFirstOption?: boolean | undefined;
        allowClear?: boolean | undefined;
        placeholder?: string | undefined;
    };
    inputProps: {
        allowClear?: boolean | undefined;
        maxlength?: number | undefined;
        disabled?: boolean | undefined;
        id?: string | undefined;
        suffix?: string | undefined;
    };
} & {}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    prefixCls: string;
    innerSelectValue: WritableComputedRef<string | number>;
    innerInputValue: WritableComputedRef<string>;
    getSelectBinds: ComputedRef<{
        options: {
            label: any;
            value: any;
        }[];
        fieldNames?: {
            label: string;
            value: string;
        } | undefined;
        defaultActiveFirstOption?: boolean | undefined;
        allowClear: boolean;
        placeholder: string;
    }>;
    getInputBinds: ComputedRef<{
        allowClear: boolean;
        maxlength?: number | undefined;
        disabled?: boolean | undefined;
        id?: string | undefined;
        suffix?: string | undefined;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", {
    value: [string | number, string];
    selectProps: {
        fieldNames?: {
            label: string;
            value: string;
        } | undefined;
        options: {
            value: string | number;
            label: string;
            disabeld?: boolean | undefined;
        }[];
        defaultActiveFirstOption?: boolean | undefined;
        allowClear?: boolean | undefined;
        placeholder?: string | undefined;
    };
    inputProps: {
        allowClear?: boolean | undefined;
        maxlength?: number | undefined;
        disabled?: boolean | undefined;
        id?: string | undefined;
        suffix?: string | undefined;
    };
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
