import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    prefix: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    name: VueTypeValidableDef<string> & {
        default: string;
    } & {
        required: true;
    };
    size: VueTypeDef<string | number> & {
        default: string | number;
    };
}, {
    symbolId: ComputedRef<string>;
    sizeStyle: ComputedRef<{
        width: string;
        height: string;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    prefix?: unknown;
    name?: unknown;
    size?: unknown;
} & {
    size: string | number;
    name: string;
    prefix: string;
} & {}>, {
    size: string | number;
    name: string;
    prefix: string;
}>;
export default _default;
