import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    imgList: VueTypeValidableDef<string[]> & {
        default: () => string[];
    };
    size: VueTypeValidableDef<number> & {
        default: number;
    };
    simple: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showBadge: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    srcPrefix: VueTypeValidableDef<string> & {
        default: string;
    };
}, {
    prefixCls: string;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    imgList?: unknown;
    size?: unknown;
    simple?: unknown;
    showBadge?: unknown;
    srcPrefix?: unknown;
} & {
    size: number;
    simple: boolean;
    imgList: string[];
    showBadge: boolean;
    srcPrefix: string;
} & {}>, {
    size: number;
    simple: boolean;
    imgList: string[];
    showBadge: boolean;
    srcPrefix: string;
}>;
export default _default;
