import type { VueTypeDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { Recordable } from '../../typings/global';
declare const _default: DefineComponent<{
    title: VueTypeDef<string | ((data: Recordable) => string)>;
    helpMessage: VueTypeDef<string | string[]>;
}, {
    prefixCls: string;
    getTitle: ComputedRef<string | ((data: Recordable) => string) | undefined>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    title?: unknown;
    helpMessage?: unknown;
} & {} & {
    title?: string | ((data: Recordable) => string) | undefined;
    helpMessage?: string | string[] | undefined;
}>, {}>;
export default _default;
