import type { Trigger, Align, DropdownArrowOptions } from 'ant-design-vue/es/dropdown/props';
/** 超出省略显示 */
import type { DefineComponent, CSSProperties, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, PropType } from 'vue';
import type { ThCustomSorter } from '../types/column';
declare const _default: DefineComponent<{
    /** 标题 */
    title: StringConstructor;
    dropdownProps: PropType<Partial<{
        arrow?: unknown;
        trigger?: unknown;
        overlay?: unknown;
        visible?: unknown;
        disabled?: unknown;
        align?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        transitionName?: unknown;
        placement?: unknown;
        overlayClassName?: unknown;
        overlayStyle?: unknown;
        forceRender?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        openClassName?: unknown;
        minOverlayWidthMatchTrigger?: unknown;
        destroyPopupOnHide?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        overlayStyle: CSSProperties;
    } & {
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "bottom" | "topCenter" | "bottomCenter" | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        getPopupContainer?: ((triggerNode: HTMLElement) => HTMLElement) | undefined;
        transitionName?: string | undefined;
        trigger?: Trigger | Trigger[] | undefined;
        visible?: boolean | undefined;
        overlayClassName?: string | undefined;
        openClassName?: string | undefined;
        mouseEnterDelay?: number | undefined;
        mouseLeaveDelay?: number | undefined;
        align?: Align | undefined;
        onVisibleChange?: ((val: boolean) => void) | undefined;
        "onUpdate:visible"?: ((val: boolean) => void) | undefined;
        forceRender?: boolean | undefined;
        arrow?: boolean | DropdownArrowOptions | undefined;
        overlay?: any;
        minOverlayWidthMatchTrigger?: boolean | undefined;
        destroyPopupOnHide?: boolean | undefined;
    }>>;
    customSorterList: {
        type: PropType<ThCustomSorter[]>;
    };
    customSorterFetchKey: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    title?: unknown;
    dropdownProps?: unknown;
    customSorterList?: unknown;
    customSorterFetchKey?: unknown;
} & {
    customSorterFetchKey: string;
} & {
    title?: string | undefined;
    customSorterList?: ThCustomSorter[] | undefined;
    dropdownProps?: Partial<{
        arrow?: unknown;
        trigger?: unknown;
        overlay?: unknown;
        visible?: unknown;
        disabled?: unknown;
        align?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        transitionName?: unknown;
        placement?: unknown;
        overlayClassName?: unknown;
        overlayStyle?: unknown;
        forceRender?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        openClassName?: unknown;
        minOverlayWidthMatchTrigger?: unknown;
        destroyPopupOnHide?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        overlayStyle: CSSProperties;
    } & {
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "bottom" | "topCenter" | "bottomCenter" | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        getPopupContainer?: ((triggerNode: HTMLElement) => HTMLElement) | undefined;
        transitionName?: string | undefined;
        trigger?: Trigger | Trigger[] | undefined;
        visible?: boolean | undefined;
        overlayClassName?: string | undefined;
        openClassName?: string | undefined;
        mouseEnterDelay?: number | undefined;
        mouseLeaveDelay?: number | undefined;
        align?: Align | undefined;
        onVisibleChange?: ((val: boolean) => void) | undefined;
        "onUpdate:visible"?: ((val: boolean) => void) | undefined;
        forceRender?: boolean | undefined;
        arrow?: boolean | DropdownArrowOptions | undefined;
        overlay?: any;
        minOverlayWidthMatchTrigger?: boolean | undefined;
        destroyPopupOnHide?: boolean | undefined;
    }> | undefined;
}>, {
    customSorterFetchKey: string;
}>;
export default _default;
