import type { TableRowSelection } from 'ant-design-vue/lib/table/interface';
import type { TableProps } from '../types/table';
import type { ColumnPropsEx } from '../types/column';
import { Ref, ComputedRef } from 'vue';
import type { Recordable } from '../../typings/global';
declare type ComponentRef<T extends HTMLElement = HTMLDivElement> = {
    $el: T;
} | null;
export declare function useTableScroll(propsRef: ComputedRef<TableProps>, tableElRef: Ref<ComponentRef>, columnsRef: ComputedRef<ColumnPropsEx[]>, rowSelectionRef: ComputedRef<TableRowSelection | null>, getDataSourceRef: ComputedRef<Recordable[]>, wrapRef: Ref<HTMLElement | null>, formRef: Ref<ComponentRef>): {
    getScrollX: ComputedRef<number | "100%">;
    getScrollRef: ComputedRef<{
        x: string | number | true;
        y: string | number | null;
        scrollToFirstRowOnChange: boolean;
    }>;
    redoHeight: () => void;
};
export {};
