import type { Ref, ComputedRef } from 'vue';
import type { TableProps, FetchParams } from '../types/table';
import type { TopTabPane } from '../types/tableTabs';
export declare function useTableTabs(props: ComputedRef<TableProps>, fetch: (opt?: FetchParams | undefined) => Promise<void>, emit: (event: any, ...args: any[]) => void): {
    tabs: Ref<TopTabPane[] | undefined>;
    activedKey: Ref<string | number | undefined>;
    handleTabClick: (activeKey: TopTabPane) => void;
    getTabData: () => {
        [x: string]: string | number | undefined;
    };
    resetActivedKey: () => void;
};
