import { Ref, ComputedRef } from 'vue';
export declare type DynamicProps<T> = {
    [P in keyof T]: Ref<T[P]> | T[P] | ComputedRef<T[P]>;
};
export declare function getDynamicProps<T, U>(props: T): Partial<U>;
