import { Ref } from 'vue'
declare global {
  type MaybeRef<T> = T | Ref<T>
  type Recordable<T = any> = Record<string, T>
  type Nullable<T> = T | null
  type Fn = (...args: any[]) => any
  type Key = string | number
}
