import type { Plugin } from '@vue/runtime-core';
import type { Recordable } from '../typings/global';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComputedRef, Ref, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            placeholder: string;
            allowClear: boolean;
            resultField: string;
        }> & Omit<Readonly<{
            value?: unknown;
            api?: unknown;
            params?: unknown;
            resultField?: unknown;
            allowClear?: unknown;
            placeholder?: unknown;
        } & {
            placeholder: string;
            allowClear: boolean;
            resultField: string;
        } & {
            value?: string | string[] | undefined;
            api?: ((arg?: Recordable<any> | undefined) => Promise<Recordable<any>[]>) | undefined;
            params?: Recordable<any> | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            "onTreedata-change"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "placeholder" | "allowClear" | "resultField">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "update:value" | "treedata-change", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            value?: unknown;
            api?: unknown;
            params?: unknown;
            resultField?: unknown;
            allowClear?: unknown;
            placeholder?: unknown;
        } & {
            placeholder: string;
            allowClear: boolean;
            resultField: string;
        } & {
            value?: string | string[] | undefined;
            api?: ((arg?: Recordable<any> | undefined) => Promise<Recordable<any>[]>) | undefined;
            params?: Recordable<any> | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            "onTreedata-change"?: ((...args: any[]) => any) | undefined;
        }, {
            prefixCls: string;
            state: any;
            getAttrs: ComputedRef<{
                treeData?: {
                    [x: string]: any;
                }[] | undefined;
            }>;
            loading: Ref<boolean>;
            handleChange: (...args: any[]) => void;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "treedata-change")[], string, {
            placeholder: string;
            allowClear: boolean;
            resultField: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        value?: unknown;
        api?: unknown;
        params?: unknown;
        resultField?: unknown;
        allowClear?: unknown;
        placeholder?: unknown;
    } & {
        placeholder: string;
        allowClear: boolean;
        resultField: string;
    } & {
        value?: string | string[] | undefined;
        api?: ((arg?: Recordable<any> | undefined) => Promise<Recordable<any>[]>) | undefined;
        params?: Recordable<any> | undefined;
    }> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        "onTreedata-change"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        prefixCls: string;
        state: any;
        getAttrs: ComputedRef<{
            treeData?: {
                [x: string]: any;
            }[] | undefined;
        }>;
        loading: Ref<boolean>;
        handleChange: (...args: any[]) => void;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    value?: unknown;
    api?: unknown;
    params?: unknown;
    resultField?: unknown;
    allowClear?: unknown;
    placeholder?: unknown;
} & {
    placeholder: string;
    allowClear: boolean;
    resultField: string;
} & {
    value?: string | string[] | undefined;
    api?: ((arg?: Recordable<any> | undefined) => Promise<Recordable<any>[]>) | undefined;
    params?: Recordable<any> | undefined;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onTreedata-change"?: ((...args: any[]) => any) | undefined;
}, {
    prefixCls: string;
    state: any;
    getAttrs: ComputedRef<{
        treeData?: {
            [x: string]: any;
        }[] | undefined;
    }>;
    loading: Ref<boolean>;
    handleChange: (...args: any[]) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "treedata-change")[], "change" | "update:value" | "treedata-change", {
    placeholder: string;
    allowClear: boolean;
    resultField: string;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
