import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import JsBarcode from 'jsbarcode';
declare const _default: DefineComponent<{
    text: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    options: VueTypeValidableDef<JsBarcode.Options> & {
        default: (() => JsBarcode.BaseOptions) | (() => JsBarcode.Code128Options) | (() => JsBarcode.Ean13Options) | (() => JsBarcode.NodeOptions);
    };
    tag: VueTypeDef<"canvas" | "img" | "svg"> & {
        default: "canvas" | "img" | "svg";
    };
}, {
    barcodeRef: Ref<HTMLCanvasElement | HTMLImageElement | SVGAElement | null>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "created"[], "created", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    text?: unknown;
    options?: unknown;
    tag?: unknown;
} & {
    options: JsBarcode.Options;
    text: string;
    tag: "canvas" | "img" | "svg";
} & {}> & {
    onCreated?: ((...args: any[]) => any) | undefined;
}, {
    options: JsBarcode.Options;
    text: string;
    tag: "canvas" | "img" | "svg";
}>;
export default _default;
