import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    type: VueTypeValidableDef<"default" | "link" | "text" | "ghost" | "primary" | "dashed"> & {
        default: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
    };
    color: VueTypeDef<string> & {
        default: string;
    };
    loading: VueTypeDef<boolean | {
        delay?: number | undefined;
    }>;
    disabled: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    size: VueTypeValidableDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    onClick: VueTypeValidableDef<(event: MouseEvent) => void> & {
        default: (event: MouseEvent) => void;
    };
    ghost: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    prefixCls: string;
    buttonProps: ComputedRef<{
        size: "small" | "middle" | "large";
        onClick: (event: MouseEvent) => void;
        disabled: boolean;
        loading: boolean | {
            delay?: number | undefined;
        } | undefined;
        type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
        ghost: boolean;
        color: string;
    }>;
    buttonClass: ComputedRef<{
        [x: string]: boolean;
        'is-disabled': boolean;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    type?: unknown;
    color?: unknown;
    loading?: unknown;
    disabled?: unknown;
    size?: unknown;
    onClick?: unknown;
    ghost?: unknown;
} & {
    size: "small" | "middle" | "large";
    onClick: (event: MouseEvent) => void;
    disabled: boolean;
    type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
    ghost: boolean;
    color: string;
} & {
    loading?: boolean | {
        delay?: number | undefined;
    } | undefined;
}>, {
    size: "small" | "middle" | "large";
    onClick: (event: MouseEvent) => void;
    disabled: boolean;
    type: "default" | "link" | "text" | "ghost" | "primary" | "dashed";
    ghost: boolean;
    color: string;
}>;
export default _default;
