import type { Ref, ComputedRef } from 'vue';
import type { FormScheme, FormProps } from '../types/form';
/**
 * 高级查询hook
 */
export declare function useAdvanced(getProps: ComputedRef<FormProps>): {
    isAdvanced: Ref<boolean>;
    handleToggleAdvanced: () => void;
    sortAdvancedSchemes: (schemes: FormScheme[]) => FormScheme[];
    updateAdvanced: (schemes: FormScheme[]) => void;
    toggleAdvanced: () => void;
};
