import type { Ref, ComputedRef } from 'vue';
import type { FormProps, FormScheme } from '../types/form';
import type { Recordable } from '../../typings/global';
interface UseFormValuesContext {
    defaultValueRef: Ref<any>;
    getSchemes: ComputedRef<FormScheme[]>;
    getProps: ComputedRef<FormProps>;
    formModel: Recordable;
}
export declare function useFormValues({ defaultValueRef, getSchemes, formModel, getProps, }: UseFormValuesContext): {
    handleFormValues: (values: Recordable) => Recordable<any>;
    initDefaultModel: () => void;
};
export {};
