import type { TableProps } from '../types/table';
import type { Ref, type ComputedRef } from 'vue';
/**
 * 自定义空数据时的显示内容
 */
export declare function useEmpty(propsRef: ComputedRef<TableProps>): {
    emptyTextRef: Ref<string>;
    setEmptyText: (text: string) => void;
    setEmptyTextAfterFetch: (text: string) => void;
    setEmptyInFetching: (text: string) => void;
};
