import type { ComputedRef, Slots } from 'vue';
import type { TableProps, FetchParams } from '../types/table';
import type { FormProps } from '../../form';
import type { Recordable } from '../../typings/global';
export declare function useTableForm(propsRef: ComputedRef<TableProps>, slots: Slots, fetch: (opt?: FetchParams | undefined) => Promise<void>, getLoading: ComputedRef<boolean | undefined>): {
    getFormProps: ComputedRef<Partial<FormProps>>;
    replaceFormSlotKey: (key: string) => string;
    getFormSlotKeys: ComputedRef<string[]>;
    handleSearchInfoChange: (info: Recordable) => void;
};
