import { Ref } from 'vue';
declare enum ScrollDirection {
    up = "up",
    down = "down"
}
export interface IVirtualScrollProp {
    scrollTop: number;
    direction: ScrollDirection;
}
export declare const useVirtual: (props: any, dataSource: Ref<any[]>, isVirtualList: Ref<boolean>, tableElRef: Ref<any>, emit: (prop: IVirtualScrollProp) => void, startIndex: Ref<number>) => {
    virtualData: Ref<any[]>;
    virtualSetup: () => void;
    unVirtual: () => void;
    virtualScrollToTop: () => void;
    virtualScrollToBottom: () => void;
    switchPillar: (show: boolean) => void;
    computedRowHeight: () => void;
};
export {};
