import { Ref } from 'vue';
export declare type ClassicalOption = {
    labal: string;
    value: any;
};
export declare type MaybeRef<T> = T | Ref<T>;
export declare type Recordable<T = any> = Record<string, T>;
export declare type Nullable<T> = T | null;
export declare type Fn = (...args: any[]) => any;
export declare type Key = string | number;
